#
# spec file for package sk1
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sk1
BuildRequires:  freetype2-devel
BuildRequires:  liblcms-devel
BuildRequires:  python-devel
BuildRequires:  python-imaging
BuildRequires:  tk-devel >= 8.5
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libXext-devel
BuildRequires:  pkgconfig(cairo)
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
Requires:       python-lcms
%endif
%define svnrev  730
Version:        0.9.1pre_rev%{svnrev}
Release:        31.12
Summary:        Python-Based Vector Drawing Program
License:        GPL-2.0 and LGPL-2.0+
Group:          Productivity/Graphics/Vector Editors
Url:            http://www.sk1project.org/
Source:         %{name}-0.9.1pre_rev%{svnrev}.tar.bz2
Source1:        %{name}.desktop
#patch grabbed from newer sK1-0.9.1pre_rev905 release bnc#555676, fix crash
Patch1:         %{name}-svg_crash.diff
#patch grabbed from newer sK1-0.9.1pre_rev905 release bnc#555677, fix focus of dialogue window
Patch2:         %{name}-dialog_open.diff
Requires:       python-imaging
Requires:       python-imaging-tk
Provides:       skencil
Provides:       sketch
Obsoletes:      skencil
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
The program sK1 is an open source vector graphics editor similar to
CorelDRAW, Adobe Illustrator, or Freehand. First of all sK1 is oriented
for PostScript processing. It features CMYK colorspace support, CMYK
support in Postscript, a Cairo-based engine, color managment, universal
CDR importer (7-X3 versions), and a modern Ttk based (former Tile
widgets) user interface.

%prep
%setup -q -n sK1-0.9.1pre
%patch1
%patch2
sed -ri 's/(tcl|tk)8.5/\1'%tcl_version'/g' setup.cfg setup.py
chmod +x setup.py
#%if "%(pkg-config --variable=prefix xft)" == "/usr"
#%endif

%build
#./setup.py configure --with-nls --prefix=%{_prefix}
CFLAGS="-DUSE_INTERP_RESULT" ./setup.py build

%install
./setup.py install --prefix=%{_prefix} --root=%{buildroot} --compile --optimize=2
# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
for i in 16 32 48 64; do \
install -m 0644 src/share/icons/CrystalSVG/icon_sk1_$i.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done
%if 0%{?suse_version}
%suse_update_desktop_file -i -G "Scalable Graphics" %{name}
%fdupes -s %{buildroot}
%endif

%files
%defattr(-,root,root)
%doc src/COPYRIGHTS src/GNU_GPL_v2 src/GNU_LGPL_v2
%{_bindir}/%{name}
%py_sitedir/%{name}
%attr(755,root,root) %py_sitedir/%{name}/__init__.py
%py_sitedir/sK1-0.9.1pre-py2.?.egg-info
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%if 0%{?suse_version}
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Sat Feb  6 2016 astieger@suse.com
- require python-imaging-tk, e.g. from python-Pillow-tk, boo#960401
* Thu Aug  1 2013 max@suse.com
- Allow building against Tcl/Tk 8.6.
* Wed Mar  6 2013 idonmez@suse.com
- Add license files as %%doc
* Sat Mar  2 2013 coolo@suse.com
- update license to new format
* Wed Nov 24 2010 ro@suse.de
- xft-config is gone
* Tue May 25 2010 llunak@novell.com
- use proper mimetype name in .desktop file
* Thu May 13 2010 mseben@novell.com
- added svg_crash.diff to fix crash, while importing svg image (bnc#555676)
- added dialog_open.diff to fix dialogue opened in backround (bnc#555677)
* Wed Aug 19 2009 beineri@opensuse.org
- add an already translated GenericName to .desktop file
* Wed Aug  5 2009 mseben@suse.cz
- updated to 0.9.1pre_rev730 (changelog not available)
- deprecated sk1-font_sys.patch
- added liblcms-devel to build requires
* Wed Sep 10 2008 ro@suse.de
- fix build
* Thu Aug 21 2008 lmichnovic@suse.cz
- fix for python compatibility on 64bit arch (*python_fix.patch)
- using fdupes
* Wed Aug 20 2008 lmichnovic@suse.cz
- initial version 0.9.0 svn revision 498
- BuildRequires: tk-devel >= 8.5
- needed explicit Requires: python-lcms python-imaging
- added mandriva patch sk1-font_sys.patch
